Aviseringshanterare

GET https://tistos.com/api/notification-handlers/
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
Parametrar Detaljer Beskrivning
search Valfritt Sträng Söksträngen.
search_by Valfritt Sträng Vilket fält söker du efter? Tillåtna värden är: name.
is_enabled Valfritt Boolean
type Valfritt Sträng Vilket fält söker du efter? Tillåtna värden är: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat.
datetime_field Valfritt Sträng Tillåtna värden: datetime, last_datetime
datetime_start Valfritt Sträng Filtrera resultat från detta datum och denna tid. Format Y-m-d H:i:s.
datetime_end Valfritt Sträng Filtrera resultat fram till detta datum och denna tid. Format Y-m-d H:i:s.
order_by Valfritt Sträng Vilket fält att sortera resultaten efter. Tillåtna värden är: notification_handler_id, datetime, last_datetime, name.
order_type Valfritt Sträng Ordningen av resultaten. Tillåtna värden är: ASC för stigande ordning, och DESC för fallande ordning.
search Valfritt Sträng Söksträngen.
search_by Valfritt Sträng Vilket fält söker du efter? Tillåtna värden är: name.
is_enabled Valfritt Boolean
type Valfritt Sträng Vilket fält söker du efter? Tillåtna värden är: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat.
datetime_field Valfritt Sträng Tillåtna värden: datetime, last_datetime
datetime_start Valfritt Sträng Filtrera resultat från detta datum och denna tid. Format Y-m-d H:i:s.
datetime_end Valfritt Sträng Filtrera resultat fram till detta datum och denna tid. Format Y-m-d H:i:s.
order_by Valfritt Sträng Vilket fält att sortera resultaten efter. Tillåtna värden är: notification_handler_id, datetime, last_datetime, name.
order_type Valfritt Sträng Ordningen av resultaten. Tillåtna värden är: ASC för stigande ordning, och DESC för fallande ordning.
page Valfritt Heltal Sidanummeret som du vill ha resultat från. Standardinställning är 1.
results_per_page Valfritt Heltal Hur många resultat vill du ha per sida. Tillåtna värden är: 10, 25, 50, 100, 250, 500, 1000. Standard är 25.
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "[email protected]"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-07-18 11:38:55",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://tistos.com/api/notification-handlers?page=1",
        "last": "https://tistos.com/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://tistos.com/api/notification-handlers?page=1"
    }
}
GET https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "[email protected]"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-07-18 11:38:55",
    }
}
POST https://tistos.com/api/notification-handlers
Parametrar Detaljer Beskrivning
name Obligatorisk Sträng -
type Obligatorisk Sträng Tillåtna värden: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat
email Valfritt Sträng Tillgänglig när: type = email E-post
webhook Valfritt Sträng Tillgänglig när: type = webhook Webhook-URL
slack Valfritt Sträng Tillgänglig när: type = slack Slack webhook-URL
discord Valfritt Sträng Tillgänglig när: type = discord Discord webhook-URL
telegram Valfritt Sträng Tillgänglig när: type = telegram Telegram API-token
telegram_chat_id Valfritt Sträng Tillgänglig när: type = telegram Telegram-chatt-ID
microsoft_teams Valfritt Sträng Tillgänglig när: type = microsoft_teams Microsoft Teams webhook-URL
google_chat Valfritt Sträng Tillgänglig när: type = google_chat Google Chat webhook-URL
x_consumer_key Valfritt Sträng Tillgänglig när: type = x Telegram API-token
x_consumer_secret Valfritt Sträng Tillgänglig när: type = x Telegram API-token
x_access_token Valfritt Sträng Tillgänglig när: type = x Telegram API-token
x_access_token_secret Valfritt Sträng Tillgänglig när: type = x Telegram API-token
curl --request POST \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
    "data": {
        "id": 1
    }
}
POST https://tistos.com/api/notification-handlers/{notification_handler_id}
Parametrar Detaljer Beskrivning
name Valfritt Sträng -
type Valfritt Sträng Tillåtna värden: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat
email Valfritt Sträng Tillgänglig när: type = email E-post
webhook Valfritt Sträng Tillgänglig när: type = webhook Webhook-URL
slack Valfritt Sträng Tillgänglig när: type = slack Slack webhook-URL
discord Valfritt Sträng Tillgänglig när: type = discord Discord webhook-URL
telegram Valfritt Sträng Tillgänglig när: type = telegram Telegram API-token
telegram_chat_id Valfritt Sträng Tillgänglig när: type = telegram Telegram-chatt-ID
microsoft_teams Valfritt Sträng Tillgänglig när: type = microsoft_teams Microsoft Teams webhook-URL
google_chat Valfritt Sträng Tillgänglig när: type = google_chat Google Chat webhook-URL
x_consumer_key Valfritt Sträng Tillgänglig när: type = x Telegram API-token
x_consumer_secret Valfritt Sträng Tillgänglig när: type = x Telegram API-token
x_access_token Valfritt Sträng Tillgänglig när: type = x Telegram API-token
x_access_token_secret Valfritt Sträng Tillgänglig när: type = x Telegram API-token
is_enabled Valfritt Boolean -
curl --request POST \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \